<?php

require dirname(__FILE__)  . '/system/bootstrap.php';

$code = isset($_GET['code']) ? trim($_GET['code']) : null;
$state = isset($_GET['state']) ? trim($_GET['state']) : null;

if($code and $state) {
    $response = new OAuth($config[$state]);
    $data = $response->setToken($code);
    
    switch($response->network) {
        case 'vk':
            echo '<img src="' . $data['photo'] . '" alt="avatar"><br/>';
            echo 'ID:' . PHP_EOL . $data['id'] . '<br/>';
            echo 'Имя:' . PHP_EOL . $data['first_name'] . '<br/>';
            echo 'Фамилия:' . PHP_EOL . $data['last_name'] . '<br/>';
        break;
        case 'fb':
            echo 'ID:' . PHP_EOL . $data['id'] . '<br/>';
            echo 'Имя:' . PHP_EOL . $data['first_name'] . '<br/>';
            echo 'Фамилия:' . PHP_EOL . $data['last_name'] . '<br/>';
            echo 'Email:' . PHP_EOL . $data['email'];
        break;
        case 'gl':
            echo '<img src="' . $data['picture'] . '" alt="avatar"><br/>';
            echo 'ID:' . PHP_EOL . $data['id'] . '<br/>';
            echo 'Имя:' . PHP_EOL . $data['given_name'] . '<br/>';
            echo 'Фамилия:' . PHP_EOL . $data['family_name'] . '<br/>';
            echo 'Email:' . PHP_EOL . $data['email'] . '<br/>';
        break;
    }
    
    echo '<br/><a href="/">На главную</a>';
} else {
    echo 'No data.';
}