<?php

require dirname(__FILE__)  . '/system/bootstrap.php';

$network = isset($_GET['network']) ? trim($_GET['network']) : null;

if($network) {
    switch($network) {
        case 'vk':
            $parameters = [
                'client_id' => $config[$network]['client_id'],
                'display' => 'page',
                'redirect_uri' => REDIRECT,
                'response_type' => 'code',
                'scope' => 'email',
                'state' => 'vk',
            ];
            
            header('location: https://oauth.vk.com/authorize?' . urldecode(http_build_query($parameters)));
            exit;
        break;
        case 'fb':
            $parameters = [
                'client_id' => $config[$network]['client_id'],
                'redirect_uri' => REDIRECT,
                'response_type' => 'code',
                'scope' => 'email',
                'state' => 'fb',
            ];
            
            header('location: https://www.facebook.com/dialog/oauth?' . urldecode(http_build_query($parameters)));
            exit;
        break;
        case 'gl':
            $parameters = [
                'client_id' => $config[$network]['client_id'],
                'redirect_uri' => REDIRECT,
                'response_type' => 'code',
                'scope' => 'https://www.googleapis.com/auth/userinfo.email https://www.googleapis.com/auth/userinfo.profile',
                'state' => 'gl',
            ];
            
            header('location: https://accounts.google.com/o/oauth2/auth?' . urldecode(http_build_query($parameters)));
            exit;
        break;
    }
}

?>

<!DOCTYPE html>
<html lang="ru">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Авторизация через социальные сети</title>
    </head>
    <body>
        <a href="/?network=vk">Войти через Вконтакте</a>
        <br/>
        <a href="/?network=fb">Войти через Facebook</a>
        <br/>
        <a href="/?network=gl">Войти через Google</a>
    </center>
    </body>
</html>