<?php

return [
    'vk' => [
        'network' => 'vk',
        'client_id' => '', // ID приложения
        'client_key' => '', // Ключ приложения
        'access_uri' => 'https://oauth.vk.com/access_token',
        'profile_uri' => 'https://api.vk.com/method/users.get',
        'parameters' => [
            'fields' => 'first_name,last_name,city,country,photo,email',
            'v' => '5.124',
        ],
    ],
    'fb' => [
        'network' => 'fb',
        'client_id' => '', // ID приложения
        'client_key' => '', // Ключ приложения
        'access_uri' => 'https://graph.facebook.com/oauth/access_token',
        'profile_uri' => 'https://graph.facebook.com/me',
        'parameters' => [
            'fields' => 'email,name,first_name,last_name,birthday,gender,locale,link',
        ],
    ],
    'gl' => [
        'network' => 'gl',
        'client_id' => '', // ID приложения
        'client_key' => '', // Ключ приложения
        'access_uri' => 'https://accounts.google.com/o/oauth2/token',
        'profile_uri' => 'https://www.googleapis.com/oauth2/v1/userinfo',
        'parameters' => [],
    ],
];