<?php

session_start();
header('Content-type: text/html; charset=utf-8');

define('ROOT', dirname(__DIR__));
define('DS', DIRECTORY_SEPARATOR);
define('APP', ROOT . DS . 'applications');
define('REDIRECT', 'https://' . getenv('HTTP_HOST') . DS . 'handler.php');

$config = require ROOT . DS . 'config.php';

ini_set('error_reporting', E_ALL);
ini_set('display_errors', true);
ini_set('display_startup_errors', true);

spl_autoload_register(function($class) {
    $file = ROOT . DS . 'system' . DS . 'classes' . DS . $class . '.php';
    
    if(is_file($file)) {
        require $file;
    }
});